<?php
/*
Plugin Name: Take A Tour of Your Piwigo
Version: 1.0
Description: Plugin Personnel
Plugin URI: http://piwigo.org
Author:Piwigo Team
Author URI:
*/
if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

$avalaible_tour = array('first_contact', 'privacy', 'picture_protection');

if ( isset($_POST['submited_tour']) and in_array($_POST['submited_tour'], $avalaible_tour) and defined('IN_ADMIN') and IN_ADMIN )
{
  pwg_set_session_var('tour_to_launch', $_POST['submited_tour']);
  global $TAT_restart;
  $TAT_restart=true;
}
elseif ( isset($_GET['tour_ended']) and in_array($_GET['tour_ended'], $avalaible_tour) and defined('IN_ADMIN') and IN_ADMIN )
{
  pwg_unset_session_var('tour_to_launch');
}

if ( pwg_get_session_var('tour_to_launch') and defined('IN_ADMIN') and IN_ADMIN )
{
  add_event_handler('init', 'TAT_add_js_css');
}
function TAT_add_js_css()
{
  global $template, $TAT_restart;
  $tour_to_launch=pwg_get_session_var('tour_to_launch');
  load_language('plugin.lang', PHPWG_PLUGINS_PATH .'TakeATour/');
  $template->set_filename('TAT_js_css', PHPWG_PLUGINS_PATH.'TakeATour/tpl/js_css.tpl');
  $template->parse('TAT_js_css');//http://piwigo.org/forum/viewtopic.php?id=23248
  if (isset($TAT_restart) and $TAT_restart)
  {
    $TAT_restart=false;
    $template->assign('TAT_restart',true);
  }
  $tat_path=str_replace(basename($_SERVER['SCRIPT_NAME']),'', $_SERVER['HTTP_HOST'] . $_SERVER['SCRIPT_NAME']);
  //$tat_path=$_SERVER['HTTP_HOST'] . $_SERVER['SCRIPT_NAME'];
  $template->assign('TAT_path', $tat_path);
  $template->set_filename('TAT_tour_tpl', PHPWG_PLUGINS_PATH.'TakeATour/tpl/'.$tour_to_launch.'.tpl');
  $template->parse('TAT_tour_tpl');
  unset($tour_to_launch);
}

if ( defined('IN_ADMIN') and IN_ADMIN )
{
/* first contact */
add_event_handler('loc_end_element_set_global', 'TAT_FC_14');
add_event_handler('loc_end_picture_modify', 'TAT_FC_16');
add_event_handler('loc_end_picture_modify', 'TAT_FC_17');
add_event_handler('loc_end_cat_modify', 'TAT_FC_23');
add_event_handler('loc_end_themes_installed', 'TAT_FC_35');
}

function TAT_FC_14() {
  global $template;
  $template->set_prefilter('batch_manager_global', 'TAT_FC_14_prefilter');
}
function TAT_FC_14_prefilter ($content, &$smarty) {
  $search = '<span class="wrap2';
  $replacement = '{counter print=false assign=TAT_FC_14}<span {if $TAT_FC_14==1}id="TAT_FC_14"{/if} class="wrap2';
  return str_replace($search, $replacement, $content);
}
function TAT_FC_16() {
  global $template;
  $template->set_prefilter('picture_modify', 'TAT_FC_16_prefilter');
}
function TAT_FC_16_prefilter ($content, &$smarty) {
  $search = '<strong>{\'Linked albums\'|@translate}</strong>';
  $replacement = '<span id="TAT_FC_16"><strong>{\'Linked albums\'|@translate}</strong></span>';
  return str_replace($search, $replacement, $content);
}
function TAT_FC_17() {
  global $template;
  $template->set_prefilter('picture_modify', 'TAT_FC_17_prefilter');
}
function TAT_FC_17_prefilter ($content, &$smarty) {
  $search = '<strong>{\'Representation of albums\'|@translate}</strong>';
  $replacement = '<span id="TAT_FC_17"><strong>{\'Representation of albums\'|@translate}</strong></span>';
  return str_replace($search, $replacement, $content);
}
function TAT_FC_23() {
  global $template;
  $template->set_prefilter('album_properties', 'TAT_FC_23_prefilter');
}
function TAT_FC_23_prefilter ($content, &$smarty) {
  $search = '<strong>{\'Lock\'|@translate}</strong>';
  $replacement = '<span id="TAT_FC_23"><strong>{\'Lock\'|@translate}</strong></span>';
  return str_replace($search, $replacement, $content);
}
function TAT_FC_35() {
  global $template;
  $template->set_prefilter('themes', 'TAT_FC_35_prefilter');
}
function TAT_FC_35_prefilter ($content, &$smarty) {
  $search = '<a href="{$set_default_baseurl}{$theme.ID}" class="tiptip"';
  $replacement = '{counter print=false assign=TAT_FC_35}<a href="{$set_default_baseurl}{$theme.ID}" class="tiptip" {if $TAT_FC_35==1}id="TAT_FC_35"{/if}';
  return str_replace($search, $replacement, $content);
}

/*
add_event_handler('init', 'TAT_add_js_css');
function TAT_add_js_css()
{
  $avalaible_tour = array('first_contact', 'privacy', 'picture_protection');

  if ( isset($_POST['submited_tour']) and in_array($_POST['submited_tour'], $avalaible_tour) and defined('IN_ADMIN') and IN_ADMIN )
  {
    $tour_to_launch = $_POST['submited_tour'];
  }
  global $template;
  load_language('plugin.lang', PHPWG_PLUGINS_PATH .'TakeATour/');
  $template->set_filename('TAT_js_css', PHPWG_PLUGINS_PATH.'TakeATour/tpl/js_css.tpl');
  $template->parse('TAT_js_css');//http://piwigo.org/forum/viewtopic.php?id=23248
  $template->set_filename('TAT_tour_tpl', PHPWG_PLUGINS_PATH.'TakeATour/tpl/'.$tour_to_launch.'.tpl');
  $template->parse('TAT_tour_tpl');
}*/
add_event_handler('get_admin_plugin_menu_links', 'TAT_admin_menu' );
function TAT_admin_menu($menu)
{
  array_push($menu, array(
    'NAME' => 'Take a Tour',
    'URL' => get_root_url().'admin.php?page=plugin-TakeATour'
    )
  );
  return $menu;
}
?>